# Cinder

# cinder::cairo::Pattern Class Reference

`#include <Cairo.h>`

Inherited by cinder::cairo::Gradient, cinder::cairo::PatternSolid, and cinder::cairo::PatternSurface.

List of all members.

## Public Member Functions
| Pattern (cairo_pattern_t *aPattern)
| Pattern (const Pattern &other)
| Creates a Pattern from a cairo_pattern_t pointer. Does not automatically increment the cairo_pattern_t reference count.
| ~Pattern ()
Pattern & | operator= (const Pattern &other)
cairo_pattern_t * | getCairoPattern ()
void | setExtend (int extend)
void | setExtendNone ()
void | setExtendRepeat ()
void | setExtendReflect ()
void | setExtendPad ()
int | getExtend () const
void | setFilter (int filter)
int | getFilter () const
void | setMatrix (const Matrix &matrix)
Matrix | getMatrix () const
## Protected Member Functions
| Pattern ()
## Protected Attributes
cairo_pattern_t * | mCairoPattern

## Constructor & Destructor Documentation

cinder::cairo::Pattern::Pattern | ( | cairo_pattern_t * | aPattern | ) |

cinder::cairo::Pattern::Pattern | ( | const Pattern & | other | ) |

Creates a Pattern from a cairo_pattern_t pointer. Does not automatically increment the cairo_pattern_t reference count.

cinder::cairo::Pattern::~Pattern | ( |  | ) |

cinder::cairo::Pattern::Pattern | ( |  | ) | `[protected]`

## Member Function Documentation

Pattern & cinder::cairo::Pattern::operator= | ( | const Pattern & | other | ) |

cairo_pattern_t* cinder::cairo::Pattern::getCairoPattern | ( |  | ) |

void cinder::cairo::Pattern::setExtend | ( | int | extend | ) |

void cinder::cairo::Pattern::setExtendNone | ( |  | ) |

void cinder::cairo::Pattern::setExtendRepeat | ( |  | ) |

void cinder::cairo::Pattern::setExtendReflect | ( |  | ) |

void cinder::cairo::Pattern::setExtendPad | ( |  | ) |

int cinder::cairo::Pattern::getExtend | ( |  | ) | const

void cinder::cairo::Pattern::setFilter | ( | int | filter | ) |

int cinder::cairo::Pattern::getFilter | ( |  | ) | const

void cinder::cairo::Pattern::setMatrix | ( | const Matrix & | matrix | ) |

Matrix cinder::cairo::Pattern::getMatrix | ( |  | ) | const

## Member Data Documentation

cairo_pattern_t* cinder::cairo::Pattern::mCairoPattern`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/cairo/Cairo.h
- src/cinder/cairo/Cairo.cpp